libnl: nfnl_log_msg Struct Reference

libnl 3.12.0

nfnl_log_msg Struct Reference

## Data Fields
NLHDR_COMMON uint8_t | log_msg_family
uint8_t | log_msg_hook
uint16_t | log_msg_hwproto
uint32_t | log_msg_mark
struct timeval | log_msg_timestamp
uint32_t | log_msg_indev
uint32_t | log_msg_outdev
uint32_t | log_msg_physindev
uint32_t | log_msg_physoutdev
uint8_t | log_msg_hwaddr [8]
int | log_msg_hwaddr_len
void * | log_msg_payload
int | log_msg_payload_len
char * | log_msg_prefix
uint32_t | log_msg_uid
uint32_t | log_msg_gid
uint32_t | log_msg_seq
uint32_t | log_msg_seq_global
uint16_t | log_msg_hwtype
uint16_t | log_msg_hwlen
void * | log_msg_hwheader
int | log_msg_hwheader_len
uint16_t | log_msg_vlan_tag
uint16_t | log_msg_vlan_proto
uint32_t | log_msg_ct_info
struct nfnl_ct * | log_msg_ct

## Detailed Description

Definition at line 104 of file nl-netfilter.h.

## Field Documentation

## ◆ log_msg_family

NLHDR_COMMON uint8_t nfnl_log_msg::log_msg_family

Definition at line 107 of file nl-netfilter.h.

## ◆ log_msg_hook

uint8_t nfnl_log_msg::log_msg_hook

Definition at line 108 of file nl-netfilter.h.

## ◆ log_msg_hwproto

uint16_t nfnl_log_msg::log_msg_hwproto

Definition at line 109 of file nl-netfilter.h.

## ◆ log_msg_mark

uint32_t nfnl_log_msg::log_msg_mark

Definition at line 110 of file nl-netfilter.h.

## ◆ log_msg_timestamp

struct timeval nfnl_log_msg::log_msg_timestamp

Definition at line 111 of file nl-netfilter.h.

## ◆ log_msg_indev

uint32_t nfnl_log_msg::log_msg_indev

Definition at line 112 of file nl-netfilter.h.

## ◆ log_msg_outdev

uint32_t nfnl_log_msg::log_msg_outdev

Definition at line 113 of file nl-netfilter.h.

## ◆ log_msg_physindev

uint32_t nfnl_log_msg::log_msg_physindev

Definition at line 114 of file nl-netfilter.h.

## ◆ log_msg_physoutdev

uint32_t nfnl_log_msg::log_msg_physoutdev

Definition at line 115 of file nl-netfilter.h.

## ◆ log_msg_hwaddr

uint8_t nfnl_log_msg::log_msg_hwaddr[8]

Definition at line 116 of file nl-netfilter.h.

## ◆ log_msg_hwaddr_len

int nfnl_log_msg::log_msg_hwaddr_len

Definition at line 117 of file nl-netfilter.h.

## ◆ log_msg_payload

void* nfnl_log_msg::log_msg_payload

Definition at line 118 of file nl-netfilter.h.

## ◆ log_msg_payload_len

int nfnl_log_msg::log_msg_payload_len

Definition at line 119 of file nl-netfilter.h.

## ◆ log_msg_prefix

char* nfnl_log_msg::log_msg_prefix

Definition at line 120 of file nl-netfilter.h.

## ◆ log_msg_uid

uint32_t nfnl_log_msg::log_msg_uid

Definition at line 121 of file nl-netfilter.h.

## ◆ log_msg_gid

uint32_t nfnl_log_msg::log_msg_gid

Definition at line 122 of file nl-netfilter.h.

## ◆ log_msg_seq

uint32_t nfnl_log_msg::log_msg_seq

Definition at line 123 of file nl-netfilter.h.

## ◆ log_msg_seq_global

uint32_t nfnl_log_msg::log_msg_seq_global

Definition at line 124 of file nl-netfilter.h.

## ◆ log_msg_hwtype

uint16_t nfnl_log_msg::log_msg_hwtype

Definition at line 125 of file nl-netfilter.h.

## ◆ log_msg_hwlen

uint16_t nfnl_log_msg::log_msg_hwlen

Definition at line 126 of file nl-netfilter.h.

## ◆ log_msg_hwheader

void* nfnl_log_msg::log_msg_hwheader

Definition at line 127 of file nl-netfilter.h.

## ◆ log_msg_hwheader_len

int nfnl_log_msg::log_msg_hwheader_len

Definition at line 128 of file nl-netfilter.h.

## ◆ log_msg_vlan_tag

uint16_t nfnl_log_msg::log_msg_vlan_tag

Definition at line 129 of file nl-netfilter.h.

## ◆ log_msg_vlan_proto

uint16_t nfnl_log_msg::log_msg_vlan_proto

Definition at line 130 of file nl-netfilter.h.

## ◆ log_msg_ct_info

uint32_t nfnl_log_msg::log_msg_ct_info

Definition at line 131 of file nl-netfilter.h.

## ◆ log_msg_ct

struct nfnl_ct* nfnl_log_msg::log_msg_ct

Definition at line 132 of file nl-netfilter.h.